<?php
if(!defined('IN_MICECMS')){header("HTTP/1.0 404 Not Found");die();}
abstract class miceAction{
	
	protected $miceParams=array();
	
	function __construct($params){
		$this->miceParams=$params;
	}
	abstract function action();
	
	protected function _getParam($key){
		return $this->_getParamByKey($key);
	}

	protected function _getParamId($id){
		return $this->_getParamByID($id);
	}
	
	private function _getParamByID($id){
		return $this->miceParams[$id-1];
	}
	
	private function _getParamByKey($key){
		//如果第$id(参数的位置)个下标的值等于$key(参数名)，就返回$id+1的值，为了防止参数名有重复的
		/*
		if($this->miceParams[$id]==$key){
			return $this->miceParams[++$id];
		}
		*/
		
		//返回一个参数的值，如果有多个相同的参数名，返回第一个参数名的值
		$i=0;
		foreach($this->miceParams as $param){
			$i++;
			if($param==$key){
				return $this->miceParams[$i];
			}
		}
		
		return null;
	}
}
?>